File libbtctl.changes of Package libbtctl

-------------------------------------------------------------------
Tue Sep 29 11:07:32 UTC 2009 - aj@suse.de

- Fix requires of subpackages to require correct packagename.

-------------------------------------------------------------------
Mon May 18 03:12:52 CEST 2009 - vuntz@novell.com

- Make libbtctl6 require the lang package.

-------------------------------------------------------------------
Mon Mar 16 14:46:16 CET 2009 - sbrabec@suse.cz

- Added support for translation-update-upstream (FATE#301344).

-------------------------------------------------------------------
Sun Feb 22 17:49:56 CET 2009 - vuntz@novell.com

- Update to version 0.11.1:
  + Fix pkg-config file
- Changes from version 0.11.0:
  + Port to BlueZ 4.x
  + Build fixes
- soname changed, so rename libbtctl4 to libbtctl6. No
  provide/obsolete, since it wouldn't be true.
- Drop empty libbtctl package, and have libbtctl4 provide/obsolete
  it.
- Drop libbtctl-bluez4.patch: fixed upstream.
- Remove BuildRequires: gtk-doc, perl-XML-Parser, sgml-skel
- Remove unneeded " -n libbtctl-%{version}" for setup
- Remove unneeded CFLAGS="$RPM_OPT_FLAGS -fno-strict-aliasing"
- Use parallel build in make.
- Remove doc package and put the gtk-doc stuff in devel package.

-------------------------------------------------------------------
Mon Jan 19 21:24:29 CET 2009 - crrodriguez@suse.de

- remove "la" files [BNC#357465] 

-------------------------------------------------------------------
Wed Sep 17 02:02:24 CEST 2008 - ro@suse.de

- change hci_remote_name to hci_read_remote_name 

-------------------------------------------------------------------
Tue Sep 16 18:00:41 CEST 2008 - ro@suse.de

- fix requires for devel package 

-------------------------------------------------------------------
Mon Sep 15 21:50:06 CEST 2008 - dmueller@suse.de

- adjust buildrequires

-------------------------------------------------------------------
Tue Apr  1 18:45:16 CEST 2008 - rodrigo@suse.de

- Update to version 0.10.0:
  * Up the OpenObex requirements
  * Fix the name of the DLL in the libbtctl-sharp pkg-config file
  * Fix a few build warnings 

-------------------------------------------------------------------
Fri Oct 26 17:03:41 CEST 2007 - ro@suse.de

- disable parallel make for the moment, breaks at least on x86_64 

-------------------------------------------------------------------
Thu Oct 25 15:51:15 CEST 2007 - jpr@suse.de

- Update to libbtctl 0.9
 * Fix devices not being discovered in the choosers with newer bluez libraries
 * Fix sending files to some devices which expect a clean disconnection
 * Avoid warnings when a new file is sent to gnome-obex-server
 * Fix crashes in the Mono bindings, and install them in the right place
   for newer Mono versions
 * Build fixes
 * Update the Python bindings to the new API
 * Update the API documentation
 * Misc. fixes
-Split off libbtctl4 and python-libbtctl packages

-------------------------------------------------------------------
Tue Aug  7 19:11:08 CEST 2007 - maw@suse.de

- Use %fdupes
- Split off a -lang subpackage
- s#%run_ldconfig#/sbin/ldconfig# in %post and %postun.

-------------------------------------------------------------------
Tue Feb 13 11:50:51 CET 2007 - sbrabec@suse.cz

- Do not build unusable static libraries (#238552#c17).

-------------------------------------------------------------------
Mon Feb 12 14:04:56 CET 2007 - aj@suse.de

- Disable build of sharp package (#244537).

-------------------------------------------------------------------
Thu Feb  8 01:11:58 CET 2007 - ro@suse.de

- added defattr to the remaining subpackages 

-------------------------------------------------------------------
Thu Jan 18 10:59:18 CET 2007 - sbrabec@suse.cz

- Do not require gtk-sharp-gapi for runtime (#229984).

-------------------------------------------------------------------
Tue Dec 19 11:43:09 CET 2006 - sbrabec@suse.cz

- Spec file cleanup.

-------------------------------------------------------------------
Mon Dec 18 12:08:15 CST 2006 - maw@suse.de

- Move to /usr.

-------------------------------------------------------------------
Tue Sep 19 22:18:25 CEST 2006 - jhargadon@suse.de

- update to version 0.8.0
- Allow the Python bindings to access the data received via Obex
- Fix compilation with newer versions of OpenObex
- Add more error reporting for btctl_controller_discover_devices() and
   btctl_controller_scan_for_service()
- Fix receiving via Obex not working with broken client software 

-------------------------------------------------------------------
Fri Aug 18 09:27:03 CEST 2006 - aj@suse.de

- Reduce BuildRequires.

-------------------------------------------------------------------
Wed Aug 16 16:17:00 CEST 2006 - cthiel@suse.de

- buildrequire python-gtk-devel instead of python-gtk

-------------------------------------------------------------------
Wed Aug 16 02:13:07 CEST 2006 - ro@suse.de

- added python-gobject2-devel to BuildRequires

-------------------------------------------------------------------
Wed Jan 25 21:32:17 CET 2006 - mls@suse.de

- converted neededforbuild to BuildRequires

-------------------------------------------------------------------
Mon Dec 19 15:03:34 CET 2005 - ro@suse.de

- added missing symlink to filelist in sharp package 

-------------------------------------------------------------------
Tue Nov 29 16:37:11 CET 2005 - sbrabec@suse.cz

- Updated to version 0.6.0.

-------------------------------------------------------------------
Tue Nov  8 14:24:48 CET 2005 - sbrabec@suse.cz

- Ignore strict aliasing problems of Py_True and Py_False in PLUS.

-------------------------------------------------------------------
Wed Nov  2 19:38:07 CET 2005 - sbrabec@suse.cz

- Updated to version 0.5.0.
- Split sharp subpackage.

-------------------------------------------------------------------
Wed Jun  1 18:28:11 CEST 2005 - sbrabec@suse.cz

- Fixed devel requirements.

-------------------------------------------------------------------
Wed Nov 24 14:20:06 CET 2004 - ro@suse.de

- use macro for python version number 

-------------------------------------------------------------------
Mon Nov 22 01:56:40 CET 2004 - ro@suse.de

- use autoreconf

-------------------------------------------------------------------
Sat Sep  4 23:31:18 CEST 2004 - ro@suse.de

- compile python-stuff with no-strict-aliasing

-------------------------------------------------------------------
Thu Sep  2 14:46:20 CEST 2004 - hhetter@suse.de

- build with python support and package btctl python module 
  (part of Bug #44638 )

-------------------------------------------------------------------
Fri Jul 30 01:25:59 CEST 2004 - ro@suse.de

- update to 0.4.1 to make it build with current bluez

-------------------------------------------------------------------
Wed May 12 13:40:50 CEST 2004 - behlert@suse.de

- removed bluez-sdp from neededforbuild, obsoleted by bluez-libs
  version 2.7 
- adapted *.m4-files to work with new bluez-libs

-------------------------------------------------------------------
Wed Jan 28 10:16:40 CET 2004 - hhetter@suse.de

- initial SUSE package